%define name khttrack
%define version 0.10
%define release %mkrel 6


Summary:   Download a WWW site to a local directory with a Kde Gui
Name:      %{name}
Version:   %{version}
Release:   %{release}
License: GPL
Url:       http://www.nongnu.org/khttrack
Group:     Networking/WWW
Source:    %{name}-%{version}.tar.bz2
Requires:	httrack 
BuildRequires:	kdelibs-devel 
Buildrequires:  libhttrack-devel 
Buildrequires:  openssl-devel
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

%description
Khttrack allows you to download a World Wide Web site
from the Internet to a local directory, building recursively all
directories, getting HTML, images, and other files from the server
to your computer. Khttrack arranges the original site
relative link-structure. It support https and partially java and flash.

%prep

%setup -q
%configure --disable-rpath

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications//
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%_bindir/khttrack
Name=Khttrack (WWW Mirror)
Icon=networking_www_section
Comment=A website downloader
Categories=Network;WebBrowser;
EOF

rm -fr %buildroot%_menudir/khttrack

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%_bindir/*
%_datadir/icons/locolor/16x16/*
%_datadir/icons/locolor/32x32/*
%_datadir/applnk/Applications/*
%_datadir/apps/*
%{_datadir}/applications/mandriva-*.desktop




%changelog
* Sun Feb 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-6mdv2008.1
+ Revision: 161800
- Fix typo
- Rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix installing
    - auto-convert XDG menu entry
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot
    - import khttrack

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-5mdk
- Fix BuildRequires
- use mkrel

* Thu Dec 02 2004 Michael Scherer <misc@mandrake.org> 0.10-4mdk 
- fix menu ( #11874 )
- clean the spec

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-3mdk
- rebuild

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- fix buildrequires

* Wed Aug 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- from Stephane CHAPEAU <nuscly@ifrance.com> :
	- First Mandrake contrib package


